Bug 72638 - CSS 2.1 failure: empty-inline-003.htm fails
: CSS 2.1 failure: empty-inline-003.htm fails
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
: http://test.csswg.org/suites/css2.1/2...
:
:
: 47141
  Show dependency treegraph
 
Reported: 2011-11-17 11:59 PST by
Modified: 2012-02-10 21:35 PST (History)


Attachments
Patch (23.53 KB, patch)
2011-11-17 12:24 PST, Robert Hogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (42.45 KB, patch)
2011-11-20 09:39 PST, Robert Hogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (42.20 KB, patch)
2011-11-21 11:19 PST, Robert Hogan
rniwa: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-17 11:59:35 PST
Empty inline elements need to share their inline height with siblings
------- Comment #1 From 2011-11-17 12:24:48 PST -------
Created an attachment (id=115656) [details]
Patch
------- Comment #2 From 2011-11-17 14:10:45 PST -------
(From update of attachment 115656 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=115656&action=review

> Source/WebCore/ChangeLog:10
> +            going to affect the line-height.

Don't think we normally indent the comment like this.
------- Comment #3 From 2011-11-20 09:39:24 PST -------
Created an attachment (id=115984) [details]
Patch
------- Comment #4 From 2011-11-20 10:17:39 PST -------
(From update of attachment 115984 [details])
Attachment 115984 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10342078

New failing tests:
platform/chromium-linux/fast/text/international/complex-joining-using-gpos.html
------- Comment #5 From 2011-11-21 10:52:42 PST -------
(From update of attachment 115984 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=115984&action=review

Per IRC discussion, some of these tests are modified from CSS2.1 test suite so they should be added to fast/css.

> Source/WebCore/ChangeLog:8
> +        Reviewed by NOBODY (OOPS!).

This line should appear before the description.
------- Comment #6 From 2011-11-21 11:19:55 PST -------
Created an attachment (id=116109) [details]
Patch
------- Comment #7 From 2011-11-21 12:02:39 PST -------
(From update of attachment 116109 [details])
Looks sane to me. You may consider using Ahem for fast/css tests.
------- Comment #8 From 2011-11-21 13:06:56 PST -------
Committed r100949: <http://trac.webkit.org/changeset/100949>
------- Comment #9 From 2012-02-10 21:35:17 PST -------
This has caused a regression, bug 78379.